/*
 * Copyright 2006-2008 The FLWOR Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#ifndef ZORBA_CONFIG_H
#define ZORBA_CONFIG_H

/* This header is configured by Zorba's build process.  */

/* Zorba Configuration */

/* general zorba configuration parameters */
/* #undef ZORBA_DEBUGGER */
#ifndef WIN32
/* #undef WIN32 */
#endif
/* #undef CYGWIN */
#ifdef CYGWIN
#undef WIN32
#endif
#define UNIX
/* #undef MINGW */
/* #undef APPLE */
/* #undef MSVC */
/* #undef MSVC60 */
/* #undef MSVC70 */
/* #undef MSVC71 */
/* #undef MSVC80 */


/* zorba runtime configuration parameters */
#define ZORBA_BATCHING_TYPE         0
#define ZORBA_BATCHING_BATCHSIZE    
#define ZORBA_FLOAT_POINT_PRECISION 18

/* parser configuration */
/* #undef ZORBA_DEBUG_PARSER */

/* Platform checks */
#define ZORBA_HAVE_SYS_MOUNT_H
#define ZORBA_HAVE_UTYPES_H   
/* #undef ZORBA_HAVE_COLL_H */
#define ZORBA_HAVE_USTRING_H  
#define ZORBA_HAVE_PTHREAD_H  
#define ZORBA_HAVE_INTTYPES_H 
#define ZORBA_HAVE_STDINT_H   
#define ZORBA_HAVE_STDLIB_H   
#define ZORBA_HAVE_LIMITS_H   
#define ZORBA_HAVE_SYS_TYPES_H
#define ZORBA_HAVE_ICONV_H
#define ZORBA_HAVE_EXECINFO_H
/* #undef ZORBA_HAVE_FLEXLEXER_H */

/* rest support */
/* #undef ZORBA_HAVE_CURL_H */
/* #undef ZORBA_WITH_REST */
#define ZORBA_WITH_SSL

/* allow file system access */
#define ZORBA_WITH_FILE_ACCESS

/* function checks */
#define ZORBA_HAVE_STRTOF_FUNCTION    
/* #undef ZORBA_HAVE_STRICMP_FUNCTION */
#define ZORBA_HAVE_STRCASECMP_FUNCTION
/* #undef ZORBA_HAVE_STRCAT_S_FUNCTION */
/* #undef ZORBA_HAVE_STRCPY_S_FUNCTION */

/* Threading mechanism*/
/* #undef ZORBA_FOR_ONE_THREAD_ONLY */
#define ZORBA_HAVE_PTHREAD_SPINLOCK
#define ZORBA_HAVE_PTHREAD_MUTEX

/* Configure Zorba features*/
/* #undef ZORBA_NO_UNICODE */
/* #undef ZORBA_NO_XMLSCHEMA */
/* #undef ZORBA_MINIMAL_STORE */
/* #undef ZORBA_NO_BIGNUMBERS */

/* Windows MSVC DLL */
#define    ZORBA_EXTERN_DECL
/* #undef ZORBA_WIN_DLL */
#ifdef ZORBA_WIN_DLL
  #undef    ZORBA_EXTERN_DECL
#ifdef ZORBA_INTERNAL
  #define   ZORBA_EXTERN_DECL    __declspec(dllexport) 
#else
  #define   ZORBA_EXTERN_DECL    __declspec(dllimport)
#endif

#endif

#endif
